%define fw_version 5.24

Summary:	KDE Frameworks 5 Widgets addons with various classes on top of QtWidgets
Name:		kwidgetsaddons
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 Widgets addons with various classes on top of QtWidgets.

%files
%{_kde5_datadir}/kf5/kcharselect/kcharselect-data

#----------------------------------------------------------------------------

%package i18n
Summary:	KWidgetsAddons translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KWidgetsAddons translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5widgetsaddons_major 5
%define libkf5widgetsaddons %mklibname kf5widgetsaddons %{kf5widgetsaddons_major}

%package -n %{libkf5widgetsaddons}
Summary:	KDE Frameworks 5 Widgets addons shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5widgetsaddons}
KDE Frameworks 5 Widgets addons shared library.

%files -n %{libkf5widgetsaddons}
%{_kde5_libdir}/libKF5WidgetsAddons.so.%{kf5widgetsaddons_major}*

#----------------------------------------------------------------------------

%define devkf5widgetsaddons %mklibname kf5widgetsaddons -d

%package -n %{devkf5widgetsaddons}
Summary:	Development files for KDE Frameworks 5 Widgets addons
Group:		Development/KDE and Qt
Requires:	%{libkf5widgetsaddons} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5widgetsaddons-devel = %{version}

%description -n %{devkf5widgetsaddons}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5widgetsaddons}
%{_kde5_includedir}/KF5/KWidgetsAddons
%{_kde5_includedir}/KF5/kwidgetsaddons_version.h
%{_kde5_libdir}/cmake/KF5WidgetsAddons
%{_kde5_libdir}/libKF5WidgetsAddons.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (98a0937) New version 5.24.0


